> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.eliteprospects.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Players

> Retrieve a paginated list of players. Use the `fields` parameter to customize response fields.



## OpenAPI

````yaml /api-reference/openapi.yml get /players
openapi: 3.0.0
info:
  title: Elite Prospects API
  description: Elite Prospects API with data from https://www.eliteprospects.com
  contact:
    name: API Support
    email: api@eliteprospects.com
  version: '1.0'
servers:
  - description: Production server
    url: https://api.eliteprospects.com/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Agency
  - name: Arena
  - name: Award
    description: Awards for player and staff
  - name: Country
  - name: Draft
    description: Drafted players and draft rankings
  - name: Game
  - name: Game Log
  - name: Game Log Aggregate
  - name: League
  - name: NHL Rights
  - name: Player
  - name: Player Stats
  - name: Player Style
  - name: Ranking
  - name: Retired Number
  - name: Search
  - name: Staff
  - name: Staff Stats
  - name: Star And Cult Player
  - name: Team
  - name: Team Stats
  - name: Transfer
externalDocs:
  description: More info at Elite Prospects website
  url: https://www.eliteprospects.com/api
paths:
  /players:
    get:
      tags:
        - Player
      summary: Players
      description: >-
        Retrieve a paginated list of players. Use the `fields` parameter to
        customize response fields.
      operationId: listPlayers
      parameters:
        - in: query
          name: fields
          schema:
            type: array
            items:
              type: string
              enum:
                - id
                - firstName
                - lastName
                - name
                - alternativeFirstName
                - alternativeLastName
                - alternativeName
                - initialOfFirstName
                - initialOfLastName
                - gender
                - status
                - playerType
                - position
                - detailedPosition
                - shoots
                - catches
                - yearOfBirth
                - dateOfBirth
                - age
                - placeOfBirth
                - youthTeam
                - nationality
                - secondaryNationality
                - weight
                - height
                - contract
                - capHit
                - gameStatus
                - gameStatusInfo
                - views
                - imageUrl
                - imageCopyright
                - pronunciationUrl
                - verified
                - verifiedStyle
                - contactable
                - staff
                - latestStats
                - latestGameLogsAggregated
                - leagueExperience
                - nhlRights
                - draftSelection
                - agencies
                - profileDescriptionAsHTML
                - scoutingReportUrl
                - scoutingReportThumbnailUrl
                - biographyAsHTML
                - playerStyles
                - links
                - eliteprospectsUrlPath
                - slug
                - isIndexable
                - updatedAt
                - _links
                - nationality.*
                - secondaryNationality.*
                - weight.*
                - height.*
                - staff.*
                - latestStats.*
                - latestGameLogsAggregated.*
                - leagueExperience.*
                - nhlRights.*
                - draftSelection.*
                - agencies.*
                - playerStyles.*
                - links.*
                - '*'
          style: form
          explode: false
          required: false
          description: "Specify custom response with available response fields.\r\n***\r\n*Fields included as default:* id, firstName, lastName, name, alternativeFirstName, alternativeLastName, alternativeName, initialOfFirstName, initialOfLastName, gender, status, playerType, position, detailedPosition, shoots, catches, yearOfBirth, dateOfBirth, age, placeOfBirth, youthTeam, nationality, secondaryNationality, weight, height, contract, capHit, gameStatus, gameStatusInfo, views, imageUrl, imageCopyright, pronunciationUrl, verified, verifiedStyle, contactable, staff, latestStats, latestGameLogsAggregated, leagueExperience, nhlRights, draftSelection, agencies, profileDescriptionAsHTML, scoutingReportUrl, scoutingReportThumbnailUrl, biographyAsHTML, playerStyles, links, eliteprospectsUrlPath, slug, isIndexable, updatedAt, _links"
        - $ref: '#/components/parameters/offsetParam'
        - $ref: '#/components/parameters/limitParam'
        - in: query
          name: sort
          schema:
            type: array
            items:
              type: string
              enum:
                - id
                - '-id'
                - name
                - '-name'
                - dateOfBirth
                - '-dateOfBirth'
                - age
                - '-age'
                - height
                - '-height'
                - weight
                - '-weight'
                - contract
                - '-contract'
                - latestStats.season
                - '-latestStats.season'
                - latestStats.team
                - '-latestStats.team'
                - latestStats.league
                - '-latestStats.league'
                - views
                - '-views'
                - updatedAt
                - '-updatedAt'
            default: name
          style: form
          explode: false
          required: false
          description: >-
            Sort results by field name. Prefix with `-` for descending order
            (e.g., `-name`).
        - in: query
          name: id
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by id
          style: form
          explode: false
        - in: query
          name: id:gt
          schema:
            type: integer
          required: false
          description: Filter by id greater than
        - in: query
          name: q
          schema:
            type: string
          required: false
          description: Full-text search by name
        - in: query
          name: name
          schema:
            type: string
          required: false
          description: Filter by name
        - in: query
          name: firstName
          schema:
            type: string
          required: false
          description: Filter by firstName
        - in: query
          name: firstName:startsWith
          schema:
            type: string
          required: false
          description: Filter by firstName starts with
        - in: query
          name: lastName
          schema:
            type: string
          required: false
          description: Filter by lastName
        - in: query
          name: lastName:startsWith
          schema:
            type: string
          required: false
          description: Filter by lastName starts with
        - in: query
          name: gender
          schema:
            $ref: '#/components/schemas/Gender'
          required: false
          description: Filter by gender
        - in: query
          name: playerType
          schema:
            $ref: '#/components/schemas/PlayerType'
          required: false
          description: Filter by playerType
        - in: query
          name: position
          schema:
            type: array
            items:
              $ref: '#/components/schemas/Position'
          required: false
          description: Filter by position
          style: form
          explode: false
        - in: query
          name: position:not
          schema:
            type: array
            items:
              $ref: '#/components/schemas/Position'
          required: false
          description: Filter by position not equal to
          style: form
          explode: false
        - in: query
          name: detailedPosition
          schema:
            type: array
            items:
              $ref: '#/components/schemas/DetailedPosition'
          required: false
          description: Filter by detailedPosition
          style: form
          explode: false
        - in: query
          name: detailedPosition:not
          schema:
            type: array
            items:
              $ref: '#/components/schemas/DetailedPosition'
          required: false
          description: Filter by detailedPosition not equal to
          style: form
          explode: false
        - in: query
          name: anyPosition
          schema:
            type: array
            items:
              $ref: '#/components/schemas/AnyPosition'
          required: false
          description: >-
            OR-matches token(s) against Pos and Pos2 — e.g. anyPosition=F,LW
            returns players whose position is F OR whose detailedPosition
            contains LW. Accepts a comma-separated string or array; values are
            DETAILED_POSITIONS. Pos2 is a substring match, so anyPosition=W also
            matches LW/RW.
          style: form
          explode: false
        - in: query
          name: anyPosition:not
          schema:
            type: array
            items:
              $ref: '#/components/schemas/AnyPosition'
          required: false
          description: >-
            Excludes players matching anyPosition. NOT of the OR (De Morgan):
            for each token, neither Pos = token nor Pos2 LIKE %token%.
          style: form
          explode: false
        - in: query
          name: playerStyle
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by playerStyle slug
          style: form
          explode: false
        - in: query
          name: nationality
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by nationality slug in ISO 3166-1 alpha-3
          style: form
          explode: false
        - in: query
          name: secondaryNationality
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by secondaryNationality slug in ISO 3166-1 alpha-3
          style: form
          explode: false
        - in: query
          name: dateOfBirth
          schema:
            type: string
          required: false
          description: Filter by dateOfBirth
        - in: query
          name: dateOfBirth:from
          schema:
            type: string
          required: false
          description: Filter by dateOfBirth greater or equal to
        - in: query
          name: dateOfBirth:to
          schema:
            type: string
          required: false
          description: Filter by dateOfBirth less than or equal to
        - in: query
          name: yearOfBirth
          schema:
            type: integer
          required: false
          description: Filter by yearOfBirth
        - in: query
          name: yearOfBirth:min
          schema:
            type: integer
          required: false
          description: Filter by yearOfBirth greater or equal to
        - in: query
          name: yearOfBirth:max
          schema:
            type: integer
          required: false
          description: Filter by yearOfBirth less than or equal to
        - in: query
          name: monthOfBirth
          schema:
            type: integer
          required: false
          description: Filter by monthOfBirth
        - in: query
          name: dayOfMonthOfBirth
          schema:
            type: integer
          required: false
          description: Filter by dayOfMonthOfBirth
        - in: query
          name: age
          schema:
            type: integer
          required: false
          description: In UTC
        - in: query
          name: age:min
          schema:
            type: integer
          required: false
          description: In UTC. Inclusive lower bound on player age.
        - in: query
          name: age:max
          schema:
            type: integer
          required: false
          description: In UTC. Inclusive upper bound on player age.
        - in: query
          name: placeOfBirth
          schema:
            type: string
          required: false
          description: Filter by placeOfBirth
        - in: query
          name: youthTeam
          schema:
            type: string
          required: false
          description: Filter by youthTeam
        - in: query
          name: contract
          schema:
            type: string
          required: false
          description: Filter by contract
        - in: query
          name: nhlDrafted
          schema:
            type: boolean
          required: false
          description: Filter by nhlDrafted
          deprecated: true
        - in: query
          name: nhlDraftedByTeam
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by nhlDraftedByTeam
          style: form
          explode: false
        - in: query
          name: draftedInDraftType
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by draftedInDraftType
          style: form
          explode: false
        - in: query
          name: draftedInDraftType:not
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by draftedInDraftType not equal to
          style: form
          explode: false
        - in: query
          name: draftedByTeam
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by draftedByTeam
          style: form
          explode: false
        - in: query
          name: nhlDraftEligibility
          schema:
            type: integer
          required: false
          description: Filter by nhlDraftEligibility
        - in: query
          name: draftStatus
          schema:
            $ref: '#/components/schemas/DraftStatus'
          required: false
          description: Filter by draftStatus
        - in: query
          name: agency
          schema:
            type: array
            items:
              type: string
          required: false
          description: >-
            Agency ID, comma-separated agency IDs, or sentinel "has_any" /
            "none".
          style: form
          explode: false
        - in: query
          name: shoots
          schema:
            $ref: '#/components/schemas/Shoot'
          required: false
          description: Filter by shoots
        - in: query
          name: status
          schema:
            $ref: '#/components/schemas/PlayerStatus'
          required: false
          description: Filter by status
        - in: query
          name: status:not
          schema:
            $ref: '#/components/schemas/PlayerStatus'
          required: false
          description: Filter by status not equal to
        - in: query
          name: height.metrics:min
          schema:
            type: integer
          required: false
          description: Filter by height.metrics greater or equal to
        - in: query
          name: height.imperial:min
          schema:
            type: string
          required: false
          description: Filter by height.imperial greater or equal to
        - in: query
          name: height.metrics:max
          schema:
            type: integer
          required: false
          description: Filter by height.metrics less than or equal to
        - in: query
          name: height.imperial:max
          schema:
            type: string
          required: false
          description: Filter by height.imperial less than or equal to
        - in: query
          name: weight.metrics:min
          schema:
            type: integer
          required: false
          description: Filter by weight.metrics greater or equal to
        - in: query
          name: weight.imperial:min
          schema:
            type: integer
          required: false
          description: Filter by weight.imperial greater or equal to
        - in: query
          name: weight.metrics:max
          schema:
            type: integer
          required: false
          description: Filter by weight.metrics less than or equal to
        - in: query
          name: weight.imperial:max
          schema:
            type: integer
          required: false
          description: Filter by weight.imperial less than or equal to
        - in: query
          name: gameStatus
          schema:
            type: array
            items:
              $ref: '#/components/schemas/PlayerGameStatus'
          required: false
          description: Filter by gameStatus
          style: form
          explode: false
        - in: query
          name: gameStatus:not
          schema:
            type: array
            items:
              $ref: '#/components/schemas/PlayerGameStatus'
          required: false
          description: Filter by gameStatus not equal to
          style: form
          explode: false
        - in: query
          name: verified
          schema:
            type: boolean
          required: false
          description: Filter by verified
        - in: query
          name: verifiedStyle
          schema:
            type: integer
          required: false
          description: Filter by verifiedStyle
        - in: query
          name: contactable
          schema:
            type: boolean
          required: false
          description: Filter by contactable
        - in: query
          name: latestStats.league
          schema:
            type: string
          required: false
          description: Filter by latestStats.league slug
        - in: query
          name: latestStats.team
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by latestStats.team ID
          style: form
          explode: false
        - in: query
          name: playingInCountry
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by playingInCountry
          style: form
          explode: false
        - in: query
          name: notPlayingInCountry
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by notPlayingInCountry
          style: form
          explode: false
        - in: query
          name: hasPlayedInCountry
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by hasPlayedInCountry
          style: form
          explode: false
        - in: query
          name: hasPlayedInCountry.season
          schema:
            type: string
          required: false
          description: Filter by hasPlayedInCountry.season slug
        - in: query
          name: neverPlayedInCountry
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by neverPlayedInCountry
          style: form
          explode: false
        - in: query
          name: playingInLeague
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by playingInLeague
          style: form
          explode: false
        - in: query
          name: notPlayingInLeague
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by notPlayingInLeague
          style: form
          explode: false
        - in: query
          name: hasPlayedInLeague
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by hasPlayedInLeague
          style: form
          explode: false
        - in: query
          name: hasPlayedInLeague.season
          schema:
            type: string
          required: false
          description: Filter by hasPlayedInLeague.season slug
        - in: query
          name: neverPlayedInLeague
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by neverPlayedInLeague
          style: form
          explode: false
        - in: query
          name: includeLeagueExperience
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by includeLeagueExperience
          style: form
          explode: false
        - in: query
          name: playingInTeam
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by playingInTeam
          style: form
          explode: false
        - in: query
          name: notPlayingInTeam
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by notPlayingInTeam
          style: form
          explode: false
        - in: query
          name: hasPlayedInTeam
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by hasPlayedInTeam
          style: form
          explode: false
        - in: query
          name: hasPlayedInTeam.season
          schema:
            type: string
          required: false
          description: Filter by hasPlayedInTeam.season slug
        - in: query
          name: neverPlayedInTeam
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by neverPlayedInTeam
          style: form
          explode: false
        - in: query
          name: internationalExperience
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by internationalExperience
          style: form
          explode: false
        - in: query
          name: neverPlayedInternationally
          schema:
            type: array
            items:
              type: string
          required: false
          description: >-
            International league(s) the player has never participated in (e.g.
            'World Championship', 'Olympic Games', 'World Juniors'). Multi-value
            AND-combined.
          style: form
          explode: false
        - in: query
          name: leagueExperienceLogic
          schema:
            $ref: '#/components/schemas/LeagueExperienceLogic'
          required: false
          description: >-
            Combinator for league-experience filters (playingInLeague /
            hasPlayedInLeague / etc.). Default 'and' (preserves existing
            multi-value behavior); pass 'or' for union semantics.
        - in: query
          name: teamExperienceLogic
          schema:
            $ref: '#/components/schemas/TeamExperienceLogic'
          required: false
          description: >-
            Combinator for team-experience filters. Default 'and' (preserves
            existing multi-value behavior); pass 'or' for union semantics.
        - in: query
          name: nationExperienceLogic
          schema:
            $ref: '#/components/schemas/NationExperienceLogic'
          required: false
          description: >-
            Combinator for nation-experience filters (playingInCountry /
            hasPlayedInCountry / etc.). Default 'and' (preserves existing
            multi-value behavior); pass 'or' for union semantics.
        - in: query
          name: internationalExperienceLogic
          schema:
            $ref: '#/components/schemas/InternationalExperienceLogic'
          required: false
          description: >-
            Combinator for internationalExperience filter. Default 'and'
            (preserves existing multi-value behavior); pass 'or' for union
            semantics.
        - in: query
          name: careerHistoryLogic
          schema:
            $ref: '#/components/schemas/CareerHistoryLogic'
          required: false
          description: >-
            Combinator BETWEEN the four career-history experience filters
            (league / team / nation/country / international). Default 'and' (a
            player must match every set experience filter); pass 'or' to match
            players matching ANY of the set experience filters. The per-filter
            `*ExperienceLogic` toggles still control AND/OR within each filter.
        - in: query
          name: staff
          schema:
            type: integer
          required: false
          description: Filter by staff ID
        - in: query
          name: nhlRights.rights
          schema:
            type: array
            items:
              $ref: '#/components/schemas/NHLRights_Rights'
          required: false
          description: Filter by nhlRights.rights
          style: form
          explode: false
        - in: query
          name: nhlRights.team
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by nhlRights.team ID
          style: form
          explode: false
        - in: query
          name: views:min
          schema:
            type: integer
          required: false
          description: Filter by views greater or equal to
        - in: query
          name: views:max
          schema:
            type: integer
          required: false
          description: Filter by views less than or equal to
        - in: query
          name: updatedAt:min
          schema:
            type: string
            format: date-time
          required: false
          description: >-
            Filter by updatedAt greater or equal to in ISO-8601 format for date
            and time
        - in: query
          name: awesomeName
          schema:
            type: boolean
          required: false
          description: Filter by awesomeName
      responses:
        '200':
          description: A paginated list of players.
          content:
            application/json:
              schema:
                type: object
                properties:
                  _meta:
                    allOf:
                      - $ref: '#/components/schemas/Meta'
                      - $ref: '#/components/schemas/ListMeta'
                  _links:
                    allOf:
                      - $ref: '#/components/schemas/PaginationLinks'
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Player'
          x-field-info:
            defaultFields:
              - id
              - firstName
              - lastName
              - name
              - gender
              - status
              - playerType
              - position
              - dateOfBirth
              - nationality
              - _links
            extendedFields:
              - alternativeFirstName
              - alternativeLastName
              - alternativeName
              - initialOfFirstName
              - initialOfLastName
              - detailedPosition
              - shoots
              - catches
              - yearOfBirth
              - age
              - placeOfBirth
              - youthTeam
              - secondaryNationality
              - weight
              - height
              - contract
              - capHit
              - gameStatus
              - gameStatusInfo
              - views
              - imageUrl
              - imageCopyright
              - pronunciationUrl
              - verified
              - verifiedStyle
              - contactable
              - staff
              - latestStats
              - latestGameLogsAggregated
              - leagueExperience
              - nhlRights
              - draftSelection
              - agencies
              - profileDescriptionAsHTML
              - scoutingReportUrl
              - scoutingReportThumbnailUrl
              - biographyAsHTML
              - playerStyles
              - links
              - eliteprospectsUrlPath
              - slug
              - isIndexable
              - updatedAt
components:
  parameters:
    offsetParam:
      in: query
      name: offset
      schema:
        type: integer
        minimum: 0
        default: 0
      required: false
      description: The number of items to skip before starting to collect the result set.
    limitParam:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 0
        maximum: 1000
        default: 100
      required: false
      description: The number of items to return.
  schemas:
    Gender:
      type: string
      enum:
        - male
        - female
    PlayerType:
      type: string
      enum:
        - GOALTENDER
        - SKATER
    Position:
      type: string
      enum:
        - G
        - D
        - F
        - null
      nullable: true
    DetailedPosition:
      type: string
      enum:
        - G
        - D
        - F
        - C
        - W
        - LW
        - RW
    AnyPosition:
      type: string
      enum:
        - G
        - D
        - F
        - C
        - W
        - LW
        - RW
    DraftStatus:
      type: string
      enum:
        - drafted-prospect
        - drafted-player
        - undrafted-prospect-u21
        - not-drafted
    Shoot:
      type: string
      enum:
        - L
        - R
        - null
      nullable: true
    PlayerStatus:
      type: string
      enum:
        - active
        - inactive
        - retired
        - deceased
    PlayerGameStatus:
      type: string
      enum:
        - healthy
        - injured
        - suspended
    LeagueExperienceLogic:
      type: string
      enum:
        - and
        - or
    TeamExperienceLogic:
      type: string
      enum:
        - and
        - or
    NationExperienceLogic:
      type: string
      enum:
        - and
        - or
    InternationalExperienceLogic:
      type: string
      enum:
        - and
        - or
    CareerHistoryLogic:
      type: string
      enum:
        - and
        - or
    NHLRights_Rights:
      type: string
      enum:
        - unsigned
        - signed
    Meta:
      type: object
      properties:
        generatedAt:
          type: string
    ListMeta:
      type: object
      properties:
        offset:
          type: integer
        limit:
          type: integer
        totalRecords:
          type: integer
    PaginationLinks:
      type: object
      properties:
        first:
          type: string
        last:
          type: string
        prev:
          type: string
          nullable: true
        next:
          type: string
          nullable: true
    Player:
      type: object
      properties:
        id:
          type: integer
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        name:
          type: string
        alternativeFirstName:
          type: string
          nullable: true
        alternativeLastName:
          type: string
          nullable: true
        alternativeName:
          type: string
          nullable: true
        initialOfFirstName:
          type: string
          nullable: true
        initialOfLastName:
          type: string
          nullable: true
        gender:
          $ref: '#/components/schemas/Gender'
        status:
          $ref: '#/components/schemas/PlayerStatus'
        playerType:
          $ref: '#/components/schemas/PlayerType'
        position:
          $ref: '#/components/schemas/Position'
        detailedPosition:
          type: array
          items:
            $ref: '#/components/schemas/DetailedPosition'
        shoots:
          $ref: '#/components/schemas/Shoot'
        catches:
          $ref: '#/components/schemas/Catch'
        yearOfBirth:
          type: integer
          nullable: true
        dateOfBirth:
          type: string
          nullable: true
        age:
          type: integer
          nullable: true
          description: In UTC
        placeOfBirth:
          type: string
          nullable: true
        youthTeam:
          type: string
          nullable: true
        nationality:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        secondaryNationality:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        weight:
          properties:
            metrics:
              type: integer
            imperial:
              type: integer
          nullable: true
        height:
          properties:
            metrics:
              type: integer
            imperial:
              type: string
          nullable: true
        contract:
          type: string
          nullable: true
        capHit:
          type: string
          nullable: true
        gameStatus:
          $ref: '#/components/schemas/PlayerGameStatus'
        gameStatusInfo:
          type: string
          nullable: true
        views:
          type: integer
          nullable: true
        imageUrl:
          type: string
          nullable: true
        imageCopyright:
          type: string
          nullable: true
        pronunciationUrl:
          type: string
          nullable: true
        verified:
          type: boolean
        verifiedStyle:
          type: integer
          nullable: true
        contactable:
          type: boolean
        staff:
          allOf:
            - $ref: '#/components/schemas/Staff'
          nullable: true
        latestStats:
          allOf:
            - $ref: '#/components/schemas/PlayerStats'
          nullable: true
        latestGameLogsAggregated:
          type: array
          items:
            properties:
              stats:
                properties:
                  TOI:
                    type: string
                    nullable: true
                  SOG:
                    type: integer
                    nullable: true
                  GD:
                    type: integer
                    nullable: true
                  GP:
                    type: integer
                  G:
                    type: integer
                  A:
                    type: integer
                  PTS:
                    type: integer
                  PIM:
                    type: integer
                  PM:
                    type: integer
                    nullable: true
                  PPG:
                    type: integer
                    nullable: true
                  SHG:
                    type: integer
                    nullable: true
                  SA:
                    type: integer
                    nullable: true
                  SV:
                    type: integer
                    nullable: true
                  GA:
                    type: integer
                    nullable: true
                  SVP:
                    type: number
                    nullable: true
                  W:
                    type: integer
                    nullable: true
                  L:
                    type: integer
                    nullable: true
                  T:
                    type: integer
                    nullable: true
              limit:
                type: integer
        leagueExperience:
          type: array
          items:
            $ref: '#/components/schemas/League'
        nhlRights:
          allOf:
            - $ref: '#/components/schemas/NHLRights'
          nullable: true
        draftSelection:
          allOf:
            - $ref: '#/components/schemas/DraftSelection'
          nullable: true
        agencies:
          type: array
          items:
            $ref: '#/components/schemas/Agency'
        profileDescriptionAsHTML:
          type: string
          nullable: true
        scoutingReportUrl:
          type: string
          nullable: true
        scoutingReportThumbnailUrl:
          type: string
          nullable: true
        biographyAsHTML:
          type: string
          nullable: true
        playerStyles:
          type: array
          items:
            $ref: '#/components/schemas/PlayerStyle'
        links:
          properties:
            eliteprospectsUrl:
              type: string
            officialWebUrl:
              type: string
              nullable: true
            x:
              type: string
              nullable: true
            twitter:
              type: string
              nullable: true
            youtube:
              type: string
              nullable: true
            youtubeDescription:
              type: string
              nullable: true
            facebook:
              type: string
              nullable: true
            linkedin:
              type: string
              nullable: true
            instagram:
              type: string
              nullable: true
            capHitUrl:
              type: string
              nullable: true
        eliteprospectsUrlPath:
          type: string
        slug:
          type: string
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
    Catch:
      type: string
      enum:
        - L
        - R
        - null
      nullable: true
    Country:
      type: object
      properties:
        slug:
          type: string
          description: ISO 3166-1 alpha-3
        name:
          type: string
        iso_3166_1_alpha_2:
          type: string
          nullable: true
          description: ISO 3166-1 alpha-2
        flagUrl:
          properties:
            small:
              type: string
            medium:
              type: string
        eliteprospectsUrlPath:
          type: string
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
    Staff:
      type: object
      properties:
        id:
          type: integer
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        name:
          type: string
        alternativeName:
          type: string
          nullable: true
        initialOfFirstName:
          type: string
          nullable: true
        initialOfLastName:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        imageCopyright:
          type: string
          nullable: true
        nationality:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        secondaryNationality:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        status:
          $ref: '#/components/schemas/StaffStatus'
        yearOfBirth:
          type: integer
          nullable: true
        dateOfBirth:
          type: string
          nullable: true
        age:
          type: integer
          nullable: true
          description: In UTC
        placeOfBirth:
          type: string
          nullable: true
        verified:
          type: boolean
        verifiedStyle:
          type: integer
          nullable: true
        contactable:
          type: boolean
        views:
          type: integer
          nullable: true
        player:
          allOf:
            - $ref: '#/components/schemas/Player'
          nullable: true
        latestStats:
          allOf:
            - $ref: '#/components/schemas/StaffStats'
          nullable: true
        leagueExperience:
          type: array
          items:
            $ref: '#/components/schemas/League'
        biography:
          type: string
          nullable: true
        links:
          properties:
            eliteprospectsUrl:
              type: string
            officialWebUrl:
              type: string
              nullable: true
            x:
              type: string
              nullable: true
            twitter:
              type: string
              nullable: true
            youtube:
              type: string
              nullable: true
            youtubeDescription:
              type: string
              nullable: true
            facebook:
              type: string
              nullable: true
            linkedin:
              type: string
              nullable: true
            instagram:
              type: string
              nullable: true
        eliteprospectsUrlPath:
          type: string
        slug:
          type: string
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
    PlayerStats:
      type: object
      properties:
        id:
          type: integer
        player:
          $ref: '#/components/schemas/Player'
        playerAge:
          type: integer
          nullable: true
          description: Player age during the season
        season:
          $ref: '#/components/schemas/Season'
        statsType:
          $ref: '#/components/schemas/PlayerStatsType'
        status:
          $ref: '#/components/schemas/PlayerStatsStatus'
        team:
          allOf:
            - $ref: '#/components/schemas/Team'
          nullable: true
        teamName:
          type: string
          nullable: true
          description: Historic team name for specific season
        teamLogo:
          properties:
            small:
              type: string
            medium:
              type: string
            large:
              type: string
              nullable: true
          nullable: true
        teamLogoUrl:
          type: string
          nullable: true
          description: Historic team logoUrl for specific season
        league:
          allOf:
            - $ref: '#/components/schemas/League'
          nullable: true
        leagueName:
          type: string
          nullable: true
          description: Historic league name for specific season
        leagueFullName:
          type: string
          nullable: true
          description: Historic league fullName for specific season
        leagueType:
          $ref: '#/components/schemas/LeagueType'
        jerseyNumber:
          type: integer
          nullable: true
        playerRole:
          $ref: '#/components/schemas/PlayerRole'
        contractType:
          $ref: '#/components/schemas/ContractType'
        regularStats:
          properties:
            GD:
              type: integer
              nullable: true
            GP:
              type: integer
            G:
              type: integer
            A:
              type: integer
            PTS:
              type: integer
            PIM:
              type: integer
            PM:
              type: integer
            PPG:
              type: number
            SA:
              type: integer
              nullable: true
            GA:
              type: integer
              nullable: true
            GAA:
              type: number
            SVS:
              type: integer
              nullable: true
            SVP:
              type: number
            SO:
              type: integer
              nullable: true
            W:
              type: integer
              nullable: true
            L:
              type: integer
              nullable: true
            T:
              type: integer
              nullable: true
            TOI:
              type: string
              nullable: true
          nullable: true
        postseasonType:
          type: string
          nullable: true
        postseasonName:
          type: string
          nullable: true
        postseasonStats:
          properties:
            GD:
              type: integer
              nullable: true
            GP:
              type: integer
            G:
              type: integer
            A:
              type: integer
            PTS:
              type: integer
            PIM:
              type: integer
            PM:
              type: integer
            PPG:
              type: number
            SA:
              type: integer
              nullable: true
            GA:
              type: integer
              nullable: true
            GAA:
              type: number
            SVS:
              type: integer
              nullable: true
            SVP:
              type: number
            SO:
              type: integer
              nullable: true
            W:
              type: integer
              nullable: true
            L:
              type: integer
              nullable: true
            T:
              type: integer
              nullable: true
            TOI:
              type: string
              nullable: true
          nullable: true
        totalStats:
          properties:
            GD:
              type: integer
              nullable: true
            GP:
              type: integer
            G:
              type: integer
            A:
              type: integer
            PTS:
              type: integer
            PIM:
              type: integer
            PM:
              type: integer
            PPG:
              type: number
            SA:
              type: integer
              nullable: true
            GA:
              type: integer
              nullable: true
            GAA:
              type: number
            SVS:
              type: integer
              nullable: true
            SVP:
              type: number
            SO:
              type: integer
              nullable: true
            W:
              type: integer
              nullable: true
            L:
              type: integer
              nullable: true
            T:
              type: integer
              nullable: true
            TOI:
              type: string
              nullable: true
          nullable: true
        clubTeamPlayerStats:
          allOf:
            - $ref: '#/components/schemas/PlayerStats'
          nullable: true
        coaches:
          properties:
            headCoaches:
              type: array
              items:
                $ref: '#/components/schemas/Staff'
            assistantCoaches:
              type: array
              items:
                $ref: '#/components/schemas/Staff'
            goaltendingCoaches:
              type: array
              items:
                $ref: '#/components/schemas/Staff'
        updatedAt:
          type: string
    League:
      type: object
      properties:
        slug:
          type: string
        name:
          type: string
        fullName:
          type: string
          nullable: true
        commonName:
          type: string
          nullable: true
        teamClass:
          $ref: '#/components/schemas/TeamClass'
        leagueType:
          type: string
          nullable: true
        leagueLevel:
          type: string
          nullable: true
        scheduleType:
          $ref: '#/components/schemas/ScheduleType'
        defaultSeason:
          $ref: '#/components/schemas/Season'
        activeSeason:
          allOf:
            - $ref: '#/components/schemas/Season'
          nullable: true
        country:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        continent:
          $ref: '#/components/schemas/Continent'
        region:
          type: string
          nullable: true
        flagUrl:
          properties:
            small:
              type: string
            medium:
              type: string
        logo:
          properties:
            url:
              type: string
              nullable: true
            colors:
              type: array
              items:
                type: string
              nullable: true
            hasTransparency:
              type: boolean
          nullable: true
        logoUrl:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        numberOfTeams:
          type: integer
          nullable: true
        primaryDraftType:
          allOf:
            - $ref: '#/components/schemas/DraftType'
          nullable: true
        existsInLeagueEndpoint:
          type: boolean
        hasProjectedStats:
          type: boolean
        historicalData:
          type: array
          items:
            properties:
              slug:
                type: string
              name:
                type: string
              fullName:
                type: string
                nullable: true
              firstSeason:
                $ref: '#/components/schemas/Season'
              lastSeason:
                allOf:
                  - $ref: '#/components/schemas/Season'
                nullable: true
        links:
          properties:
            eliteprospectsUrl:
              type: string
            officialWebUrl:
              type: string
            statsUrl:
              type: string
            newsUrls:
              type: array
              items:
                type: string
            forumUrl:
              type: string
            facebook:
              type: string
            x:
              type: string
              nullable: true
            twitter:
              type: string
            instagram:
              type: string
            youtube:
              type: string
          nullable: true
        eliteprospectsUrlPath:
          type: string
        updatedAt:
          type: string
          nullable: true
        _links:
          type: array
          items:
            type: string
          nullable: true
    NHLRights:
      type: object
      properties:
        id:
          type: integer
        rights:
          $ref: '#/components/schemas/NHLRights_Rights'
        position:
          $ref: '#/components/schemas/DetailedPosition'
        player:
          $ref: '#/components/schemas/Player'
        team:
          $ref: '#/components/schemas/Team'
        updatedAt:
          type: string
    DraftSelection:
      type: object
      properties:
        id:
          type: integer
        draftType:
          $ref: '#/components/schemas/DraftType'
        year:
          type: integer
        round:
          type: integer
          nullable: true
        overall:
          type: integer
          nullable: true
        team:
          $ref: '#/components/schemas/Team'
        teamName:
          type: string
        teamLogo:
          properties:
            small:
              type: string
            medium:
              type: string
            large:
              type: string
              nullable: true
          nullable: true
        teamLogoUrl:
          type: string
          nullable: true
        player:
          allOf:
            - $ref: '#/components/schemas/Player'
          nullable: true
        playerTeamBeforeDraft:
          allOf:
            - $ref: '#/components/schemas/Team'
          nullable: true
        playerTeamStatsBeforeDraft:
          allOf:
            - $ref: '#/components/schemas/PlayerStats'
          nullable: true
        eliteprospectsUrlPath:
          type: string
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
    Agency:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        logoUrl:
          type: string
          nullable: true
        location:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        country:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        secondaryCountry:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        verified:
          type: boolean
        info:
          type: string
          nullable: true
        numberOfClients:
          type: integer
        agents:
          type: array
          items:
            type: string
        eliteprospectsUrlPath:
          type: string
        links:
          properties:
            webUrl:
              type: string
              nullable: true
            facebook:
              type: string
              nullable: true
            x:
              type: string
              nullable: true
            twitter:
              type: string
              nullable: true
            instagram:
              type: string
              nullable: true
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
    PlayerStyle:
      type: object
      properties:
        slug:
          type: string
        name:
          type: string
        description:
          type: string
    StaffStatus:
      type: string
      enum:
        - active
        - deceased
    StaffStats:
      type: object
      properties:
        id:
          type: integer
        staff:
          $ref: '#/components/schemas/Staff'
        staffAge:
          type: integer
          nullable: true
          description: Staff during the season
        season:
          $ref: '#/components/schemas/Season'
        status:
          $ref: '#/components/schemas/StaffStatsStatus'
        team:
          allOf:
            - $ref: '#/components/schemas/Team'
          nullable: true
        teamName:
          type: string
          nullable: true
        teamLogo:
          properties:
            small:
              type: string
            medium:
              type: string
            large:
              type: string
              nullable: true
          nullable: true
        teamLogoUrl:
          type: string
          nullable: true
        league:
          allOf:
            - $ref: '#/components/schemas/League'
          nullable: true
        leagueName:
          type: string
          nullable: true
          description: Historic league name for specific season
        leagueFullName:
          type: string
          nullable: true
          description: Historic league fullName for specific season
        leagueType:
          $ref: '#/components/schemas/LeagueType'
        role:
          type: string
          nullable: true
        notes:
          type: string
          nullable: true
        updatedAt:
          type: string
    Season:
      type: object
      properties:
        slug:
          type: string
        startYear:
          type: integer
        endYear:
          type: integer
    PlayerStatsType:
      type: string
      enum:
        - default
        - projected
    PlayerStatsStatus:
      type: string
      enum:
        - rostered
        - not-active-on-team
        - not-active
    Team:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        extraName:
          type: string
          nullable: true
        fullName:
          type: string
          nullable: true
        logo:
          properties:
            small:
              type: string
            medium:
              type: string
            large:
              type: string
              nullable: true
            colors:
              type: array
              items:
                type: string
              nullable: true
            hasTransparency:
              type: boolean
          nullable: true
        logoUrl:
          type: string
          nullable: true
        founded:
          type: integer
          nullable: true
        city:
          type: string
          nullable: true
        colors:
          type: string
          nullable: true
        status:
          $ref: '#/components/schemas/TeamStatus'
        league:
          allOf:
            - $ref: '#/components/schemas/League'
          nullable: true
        secondaryLeague:
          allOf:
            - $ref: '#/components/schemas/League'
          nullable: true
        teamType:
          $ref: '#/components/schemas/TeamType'
        teamClass:
          $ref: '#/components/schemas/TeamClass'
        country:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        continent:
          $ref: '#/components/schemas/Continent'
        flagUrl:
          properties:
            small:
              type: string
            medium:
              type: string
        defaultSeason:
          $ref: '#/components/schemas/Season'
        activeSeason:
          allOf:
            - $ref: '#/components/schemas/Season'
          nullable: true
        arena:
          allOf:
            - $ref: '#/components/schemas/Arena'
          nullable: true
        secondaryArena:
          allOf:
            - $ref: '#/components/schemas/Arena'
          nullable: true
        capHit:
          type: string
          nullable: true
        views:
          type: integer
          nullable: true
        currentRosterSize:
          type: integer
        links:
          properties:
            eliteprospectsUrl:
              type: string
            officialWebUrl:
              type: string
              nullable: true
            newsUrl:
              type: string
              nullable: true
            newspaperUrl:
              type: string
              nullable: true
            tvUrl:
              type: string
              nullable: true
            radioUrl:
              type: string
              nullable: true
            blogUrl:
              type: string
              nullable: true
            forumUrl:
              type: string
              nullable: true
            facebook:
              type: string
              nullable: true
            x:
              type: string
              nullable: true
            twitter:
              type: string
              nullable: true
            instagram:
              type: string
              nullable: true
            youtube:
              type: string
              nullable: true
            capHitUrl:
              type: string
              nullable: true
            lineCombinationsUrl:
              type: string
              nullable: true
            nationNetworkUrl:
              type: string
              nullable: true
        notes:
          type: string
          nullable: true
        eliteprospectsUrlPath:
          type: string
        slug:
          type: string
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
        mhrRating:
          type: number
          format: float
          nullable: true
        mhrId:
          type: integer
          nullable: true
        mhrUrl:
          type: string
          nullable: true
    LeagueType:
      type: string
      enum:
        - league
        - cup
        - null
      nullable: true
    PlayerRole:
      type: string
      enum:
        - C
        - A
        - null
      nullable: true
    ContractType:
      type: string
      enum:
        - loan
        - lockout
        - null
      nullable: true
    TeamClass:
      type: string
      enum:
        - men
        - women
    ScheduleType:
      type: string
      enum:
        - default
        - summer
        - null
      nullable: true
    Continent:
      type: string
      enum:
        - INT
        - AF
        - AN
        - AS
        - EU
        - NA
        - OC
        - SA
        - null
      nullable: true
    DraftType:
      type: object
      properties:
        slug:
          type: string
        name:
          type: string
        league:
          $ref: '#/components/schemas/League'
        _links:
          type: array
          items:
            type: string
        eliteprospectsUrlPath:
          type: string
    StaffStatsStatus:
      type: string
      enum:
        - rostered
        - not-active-on-team
        - not-active
    TeamStatus:
      type: string
      enum:
        - active
        - not-active
    TeamType:
      type: string
      enum:
        - club
        - international
    Arena:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        location:
          type: string
          nullable: true
        yearOfConstruction:
          type: integer
          nullable: true
        capacity:
          type: integer
          nullable: true
        infoAsHTML:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        country:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        eliteprospectsUrlPath:
          type: string
        _links:
          type: array
          items:
            type: string
        updatedAt:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: query
      name: apiKey

````